Transactions
Normal and internal transactions.
Internal operations
Lists the internal operations.
GET
https://api.routescan.io/v2/network/{networkId}/evm/{chainId}/internal-operationsGET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/all/internal-operations?txHash=0xe9e91f1ee4b56c0df2e9f06c2b8c27c6076195a88a7b8537ba8313d80e6f124e&sort=desc&apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/internal-operations?txHash=0xe9e91f1ee4b56c0df2e9f06c2b8c27c6076195a88a7b8537ba8313d80e6f124e&sort=desc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 chainId: string;
4 timestamp: string; // date-time
5 blockNumber: number;
6 txIndex: number;
7 opIndex: number;
8 txHash: string;
9 from: string;
10 to: string;
11 value: string; // bigint
12 type: string;
13 methodId?: string;
14 method?: string;
15 contractVerified?: boolean;
16 gasUsed: string; // bigint
17 status: boolean;
18 }[];
19 count?: number;
20 countType?: "exact" | "lowerBound" | "approx";
21 link: {
22 next?: string;
23 nextToken?: string;
24 prev?: string;
25 prevToken?: string;
26 };
27}
Responses
200Default ResponseTransactions
Lists the transactions.
GET
https://api.routescan.io/v2/network/{networkId}/evm/{chainId}/transactionsGET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/all/transactions?categories=evm_tx&sort=desc&apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/transactions?categories=evm_tx&sort=desc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: Record<string, unknown>[];
3 count?: number;
4 countType?: "exact" | "lowerBound" | "approx";
5 link: {
6 next?: string;
7 nextToken?: string;
8 prev?: string;
9 prevToken?: string;
10 };
11}
Responses
200Default ResponseTransactions by transactionId
Retrieves the details of a specific transaction.
GET
https://api.routescan.io/v2/network/{networkId}/evm/{chainId}/transactions/{transactionId}GET
https://api.routescan.io/v2/network/mainnet/evm/all/transactions/0xe4bee4633e263bed39ad812b2c8078fb7328c052c64f62903993074d20702fb2?apikey=YourApiKeyToken1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/transactions/0xe4bee4633e263bed39ad812b2c8078fb7328c052c64f62903993074d20702fb2' \
2 -H 'apikey: YourApiKeyToken'
1Record<string, unknown>
Responses
200Default Response